let slova = ["BREJLOVEC", "DVĚSTĚDVAAŠEDESÁTKA",
    "RESO", "ORCHESTRION", "BARDOTKA", "KARKULKA",
    "KAFEMLEJNEK", "ČTYŘKOLÁK", "PĚTIKOLÁK", "ŠESTIKOLÁK",
    "VŠUDYBYLKA","KREDENC","ŽABOTLAM","REGIONOVA",
    "HRBOUN", "ŠLECHTIČNA", "PERŠAN", "PLECHÁČ", "VECTRON",
    "ELEKTRIČKOZUBAČKA", "BANGLE", "AZRAEL", "SERGEJ", "SINGROVKA",
    "HYDRA", "ZEMĚPLAS", "PĚTSETČTYŘIADVACÍTKA", "MAZUTKA", "CATERPILLAR",
    "GARGAMEL", "FAUSTOVKA", "PENDOLINO"];

let nahodneSlovo = slova[Math.floor(Math.random() * slova.length)];
let slovoText = "";

let canvas = document.getElementById("canvas");
let ctx = canvas.getContext("2d");

let pismenoButton = document.getElementById("pismenoButton");
let pismenoInput = document.getElementById("pismenoInput");
let slovo = document.getElementById("slovo");
let napovedaButton = document.getElementById("napovedaButton");
for (let i = 0; i < nahodneSlovo.length; i++)
{
    slovo.innerText += "_";
    slovoText += "_";
}

let spatnePokusy = 0;
let celkemSpravne = 0;

function kresli()
{
    ctx.beginPath();
    ctx.fillStyle = "#fff";
    ctx.strokeStyle = "#000";
    if (spatnePokusy == 1)
    {
        ctx.arc(200, 500, 100, 0, Math.PI * 2, true);
    }
    else if (spatnePokusy == 2)
    {
        ctx.moveTo(200, 400);
        ctx.lineTo(200, 200);
    }
    else if (spatnePokusy == 3)
    {
        ctx.moveTo(200, 200);
        ctx.lineTo(300, 200);
    }
    else if (spatnePokusy == 4)
    {
        ctx.moveTo(300, 200);
        ctx.lineTo(300, 250);
    }
    else if (spatnePokusy == 5)
    {
        ctx.arc(300, 270, 20, 0, Math.PI * 2, true);
    }
    else if (spatnePokusy == 6)
    {
        ctx.moveTo(300, 290);
        ctx.lineTo(300, 350);
    }
    else if (spatnePokusy == 7)
    {
        ctx.moveTo(300, 350);
        ctx.lineTo(320, 400);
    }
    else if (spatnePokusy == 8)
    {
        ctx.moveTo(300, 350);
        ctx.lineTo(280, 400);
    }
    else if (spatnePokusy == 9)
    {
        ctx.moveTo(280, 310);
        ctx.lineTo(320, 310);
        alert("Prohrál jsi!")
    }

    ctx.stroke()
    ctx.beginPath()
}

pismenoButton.onclick = function ()
{
    let pismeno = pismenoInput.value;
    let slovoTextNovy = "";
    let pocetSpravne = 0;
    for (let i = 0; i < nahodneSlovo.length; i++)
    {
        if (nahodneSlovo[i] == pismeno)
        {
            slovoTextNovy += pismeno;
            pocetSpravne++;
        }
        else
        {
            slovoTextNovy += slovoText[i];
        }
    }
    slovo.innerText = slovoTextNovy;
    slovoText = slovoTextNovy;
    if (pocetSpravne == 0)
    {
        spatnePokusy++;
        kresli()
    }
    celkemSpravne += pocetSpravne;
    if (celkemSpravne >= 2)
    {
        napovedaButton.disabled = false;
    }
    if (celkemSpravne == nahodneSlovo.length)
    {
        alert("Vyhrál jsi!")
    }
}
napovedaButton.onclick = function ()
{
    alert("První písmeno ve slově je " + nahodneSlovo[0]);
}